org.keycloak.dom.saml.v2.metadata

## Class PDPDescriptorType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.RoleDescriptorType
    - - org.keycloak.dom.saml.v2.metadata.PDPDescriptorType

-     public class PDPDescriptorType
      extends RoleDescriptorType

  Java class for PDPDescriptorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PDPDescriptorType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:metadata}RoleDescriptorType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AuthzService" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}AssertionIDRequestService" maxOccurs="unbounded"
       minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:metadata}NameIDFormat" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<EndpointType>` | `assertionIDRequestService`
    `protected List<EndpointType>` | `authzService`
    `protected List<String>` | `nameIDFormat`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `cacheDuration, contactPerson, errorURL, extensions, id, keyDescriptor, organization, protocolSupportEnumeration, signature, validUntil`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDPDescriptorType(List<String> protocolSupport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssertionIDRequestService(EndpointType endpt)` Add assertion id request service
    `void` | `addAuthZService(EndpointType endpt)` Add authorization service
    `void` | `addNameIDFormat(String str)` Add Name ID Format
    `List<EndpointType>` | `getAssertionIDRequestService()` Gets the value of the assertionIDRequestService property.
    `List<EndpointType>` | `getAuthzService()` Gets the value of the authzService property.
    `List<String>` | `getNameIDFormat()` Gets the value of the nameIDFormat property.
    `void` | `removeAssertionIDRequestService(EndpointType endpt)` remove assertion id request service
    `void` | `removeAuthZService(EndpointType endpt)` remove authorization service
    `void` | `removeNameIDFormat(String str)` remove Name ID Format

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.RoleDescriptorType

      `addContactPerson, addKeyDescriptor, getCacheDuration, getContactPerson, getErrorURL, getExtensions, getID, getKeyDescriptor, getOrganization, getProtocolSupportEnumeration, getSignature, getValidUntil, removeContactPerson, removeKeyDescriptor, setCacheDuration, setErrorURL, setExtensions, setID, setOrganization, setSignature, setValidUntil`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authzService

          protected List<EndpointType> authzService

    - #### assertionIDRequestService

          protected List<EndpointType> assertionIDRequestService

    - #### nameIDFormat

          protected List<String> nameIDFormat

  - ### Constructor Detail

    - #### PDPDescriptorType

          public PDPDescriptorType(List<String> protocolSupport)

  - ### Method Detail

    - #### addAuthZService

          public void addAuthZService(EndpointType endpt)

      Add authorization service
      Parameters:
        `endpt` -

    - #### addAssertionIDRequestService

          public void addAssertionIDRequestService(EndpointType endpt)

      Add assertion id request service
      Parameters:
        `endpt` -

    - #### addNameIDFormat

          public void addNameIDFormat(String str)

      Add Name ID Format
      Parameters:
        `str` -

    - #### removeAuthZService

          public void removeAuthZService(EndpointType endpt)

      remove authorization service
      Parameters:
        `endpt` -

    - #### removeAssertionIDRequestService

          public void removeAssertionIDRequestService(EndpointType endpt)

      remove assertion id request service
      Parameters:
        `endpt` -

    - #### removeNameIDFormat

          public void removeNameIDFormat(String str)

      remove Name ID Format
      Parameters:
        `str` -

    - #### getAuthzService

          public List<EndpointType> getAuthzService()

      Gets the value of the authzService property.

      Objects of the following type(s) are allowed in the list `EndpointType`

    - #### getAssertionIDRequestService

          public List<EndpointType> getAssertionIDRequestService()

      Gets the value of the assertionIDRequestService property.

      Objects of the following type(s) are allowed in the list `EndpointType`

    - #### getNameIDFormat

          public List<String> getNameIDFormat()

      Gets the value of the nameIDFormat property.

      Objects of the following type(s) are allowed in the list `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.